Bug 2362 - Vannrett, horisontal ii fungere
Summary: Vannrett, horisontal ii fungere
Status: RESOLVED FIXED
Alias: None
Product: Termwiki
Classification: Unclassified
Component: Term imports (show other bugs)
Version: unspecified
Hardware: All All
: P3 - Within a week normal
Assignee: Børre Gaup
URL: http://satni.org/
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-16 14:30 CET by Sjur Nørstebø Moshagen
Modified: 2019-01-29 03:58 CET (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sjur Nørstebø Moshagen 2017-03-16 14:30:08 CET
For å reprodusera:

1. Gå til http://satni.org/
2. skriv inn 'vannrett' i søkjefeltet - det skal bli tre treff
3. klikk på dei tre treffa etter tur - dei to andre gjev artikkel i feltet til høgre, men artikkelen for vannrett/horisontal fungerer ikkje

Det er godt mogleg at hovudproblemet er data frå termwikien, og i så fall må vi senda saka over dit, eller gjera ein (halv)automatisert oppryddingsjobb. Jf. lusmelding #2268. I så fall er det Børre som skal ta over.
Comment 1 Tomi Pieski 2017-03-23 13:56:10 CET
Fixed in r.150389

Escape special characters was added.
Comment 2 Tomi Pieski 2017-03-23 14:47:34 CET
Fix works in eXist, but satni.org still doesn't know how to handle square brackets. Problem seems to be in Jetty which contains eXist server.
Comment 3 Tomi Pieski 2017-03-30 15:44:22 CEST
I cannot find that the search would reach eXist. Jetty gets the URL correctly but doesn't seem to be sending it to eXist due to (?) the square brackets in the artikkel.
Comment 4 Sjur Nørstebø Moshagen 2017-03-30 15:51:56 CEST
(In reply to Tomi Pieski from comment #3)
> I cannot find that the search would reach eXist. Jetty gets the URL
> correctly but doesn't seem to be sending it to eXist due to (?) the square
> brackets in the artikkel.

Seems reasonable. This means that the entry must be fixed, which is a large task - there are quite a few such entries. It is ok to hand it over to Børre for now, we'll return to who and how to fix these entries.
Comment 5 Børre Gaup 2017-04-26 16:31:13 CEST
Test
Comment 6 Børre Gaup 2019-01-29 03:58:21 CET
Mekanikk-1999 er nå importert inn i TermWiki, hakeparentesene er fjernet, xml-filene som førte til problemene er ikke lenger i bruk, så nå fungerer denne typen søk.